<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{admin.importsexes}">Geschlechter importieren</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<div data-th-replace="fragments/nav::nav"></div>
	<main>

	<form method="post" data-th-action="@{/admin/import/{id}/sexes(id=${fileUpload.id})}" data-th-object="${importSexList}">
		<table class="datatable">
			<caption>Zu importierende Geschlechter</caption>
			<thead>
				<tr>
					<th>#</th>
					<th>importieren</th>
					<th>Name</th>
					<th>Standardtitel</th>
					<th>Standardanrede</th>
				</tr>
			</thead>
			<tbody>
				<tr data-th-each="entity,status: *{entities}">
					<td data-th-text="${status.index+1}"></td>
					<td><input type="checkbox" data-th-field="*{entities[__${status.index}__].doImport}"></td>
					<td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.name}" data-th-errorclass="error"></td>
					<td><input type="text" data-th-field="${importSexList.entities[__${status.index}__].originalEntity.entity.defaultPrefix}" data-th-errorclass="error"></td>
					<td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.defaultSalutation}" data-th-errorclass="error"></td>
				</tr>
			</tbody>
		</table>

		<button>Ausgewählte Geschlechter importieren</button>
	</form>

	<table class="datatable">
		<caption>Bereits vorhandene Geschlechter</caption>
		<thead>
			<tr>
				<td>Name</td>
				<td>Standardtitel</td>
				<td>Standardanrede</td>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="entity: ${existingEntities}">
				<td data-th-text="${entity.name}"></td>
				<td data-th-text="${entity.defaultPrefix}"></td>
				<td data-th-text="${entity.defaultSalutation}"></td>
			</tr>
		</tbody>
	</table>
	</main>
</body>